Subject: exporting/importing classes in MSVC++ - DLLs
From: [email-masked] (Bernd Schilpp)

28 Nov 1997 06:10:15 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

hello everybody,

I know, that this is not the right place to ask about MSVC++ - things -
but here are a lot of
experienced and qualified  people and perhaps somebody knows an answer
to my question.

I have an application with some DLLs.
I use classes wildly that are implemented in these DLLs.
Normally I would have to do a lot of #define #ifdef - statements to
check in which DLL or executable
I am in and if I have to import or export the class in my inlcude-file.

But I would like to export and import each class in anyway.
It would look like this.

class __declspec(dllexport) __declspec(dllimport) Dummy
{
.....
}

It`s possible to do this with a macro-definition as well.

My litte testapplications with 2 DLLs are working without any problem.
(I am using a #pragma to supress the warnings)

Does anybody know, if this method would lead to problems ?

thanks,
Bernd

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".